%scout
integer startX = 10;
integer startY = 10;
integer entireWindowWidth = 800;
integer entireWindowHeight = 600;
string backgroundColour = "pink";

integer postRoomWindowStartX = startX+10;
integer postRoomWindowStartY = startY+27;
integer postRoomWindowWidth = entireWindowWidth/2 - 2*startX;
integer postRoomWindowHeight = (startY+entireWindowHeight - 4*startY)/2;

integer windowSplitStartX = startX + entireWindowWidth/2;
integer windowSplitStartY = startY;
integer windowSplitEndX = startX + (entireWindowWidth/2)+5;
integer windowSplitEndY = startY + entireWindowHeight;

%eden
include("mailLedger.e");

%scout
integer addStudentStartX = labelsStartX; ##inline with spreadsheet above
integer addStudentStartY = postRoomWindowStartY + postRoomWindowHeight + (entireWindowHeight/10);
integer addStudentWindowWidth = postRoomWindowWidth/2;
integer addStudentWindowHeight = startY + entireWindowHeight - startY - addStudentStartY;
integer sectionSize = ((addStudentWindowHeight-20)/9);
integer addStudentLabelWidth = addStudentWindowWidth-20;

integer processWindowStartX = postRoomWindowStartX + (postRoomWindowWidth/2);
integer processWindowStartY = postRoomWindowStartY + postRoomWindowHeight + 30;
integer processWindowWidth = (postRoomWindowWidth/2);
integer processWindowHeight = startY+entireWindowHeight-startY-processWindowStartY;##CHANGE HERE
integer processWindowSectionSize = (processWindowHeight-20-15)/7;

integer statusWindowStartX = postRoomWindowStartX;
integer statusWindowStartY = postRoomWindowStartY + postRoomWindowHeight + 30;
integer statusWindowWidth = (postRoomWindowWidth/2)-10;
integer statusWindowHeight = (startY+entireWindowHeight-10-processWindowStartY)/3;

integer empStatusWindowHeight = ((startY+entireWindowHeight-10-processWindowStartY)/3) / 1.5;

integer emp1StatusWindowStartY = statusWindowStartY + statusWindowHeight + 20;
integer emp2StatusWindowStartY = emp1StatusWindowStartY + empStatusWindowHeight + 20;

integer systemButtonsStartX = addStudentStartX + addStudentWindowWidth + 10;
integer systemButtonsStartY = addStudentStartY + (addStudentWindowHeight/2);
integer systemButtonsWindowWidth = entireWindowWidth - systemButtonsStartX;
integer systemButtonsWindowHeight = startY+entireWindowHeight-startY-systemButtonsStartY;
integer systemButtonsSectionSize = (systemButtonsWindowHeight - 20 - 15 - 30) / 4;

%scout
#initialise all the system windows
window mainWindow = 
{
	type: TEXT
	frame: ([{startX, startY},{startX+entireWindowWidth,startY+entireWindowHeight}])
	border: 2
	bgcolour: backgroundColour
};

window titleBar = 
{
	type: TEXT
	string: "Student Post Room"
	frame: ([{startX+10,startY}, {startX+10+postRoomWindowWidth,startY+20}])
	font: "{arial " // "20" // " underline}"
	alignment: CENTRE
	bgcolour: backgroundColour
};

window postRoomWindow =
{
	type: DONALD
	box: [{postRoomWindowStartX,postRoomWindowStartY}, {postRoomWindowStartX+postRoomWindowWidth,postRoomWindowStartY+postRoomWindowHeight}]
	pict: "POSTROOMWINDOW"
	bgcolour: "white"
	border: 2
};

window windowSplit = 
{
	type: TEXT
	frame: ([{windowSplitStartX, windowSplitStartY},{windowSplitEndX,windowSplitEndY}])
	bgcolour:"black"
};

window openCloseButton = 
{
	type: TEXT
	string: "Open/Close"
	frame: ([{postRoomWindowStartX+(postRoomWindowWidth/2)-30, postRoomWindowStartY+postRoomWindowHeight+10}, {postRoomWindowStartX+(postRoomWindowWidth/2)+30, postRoomWindowStartY+postRoomWindowHeight+20}]) 
	border: 1
	alignment: CENTRE
	relief: "raised"
	sensitive: ON
	bgcolour: "grey"
};

%eden
include("addToSpreadsheet.e");
include("processWindow.e");
include("statusWindow.e");
include("systemButtons.e");

%scout
screen = < pickedUpLabel / receivedLabel / addressLabel / toLabel / element11 / element21 / element31 / element41 / element12 / element22 / element32 / element42 / element13 / element23 / element33 / element43 / element14 / element24 / element34 / element44 / element15 / element25 / element35 / element45 / element16 / element26 / element36 / element46 / element17 / element27 / element37 / element47 / element18 / element28 / element38 / element48 / element19 / element29 / element39 / element49 / element110 / element210 / element310 / element410 / element111 / element211 / element311 / element411 / element112 / element212 / element312 / element412 / element113 / element213 / element313 / element413 / element114 / element214 / element314 / element414 / element115 / element215 / element315 / element415 / element116 / element216 / element316 / element416 / element117 / element217 / element317 / element417 / element118 / element218 / element318 / element418 / element119 / element219 / element319 / element419 / element120 / element220 / element320 / element420 / element121 / element221 / element321 / element421 / element122 / element222 / element322 / element422 /element1Button / element2Button / element3Button / element4Button / element5Button / element6Button / element7Button / element8Button / element9Button / element10Button / element11Button / element12Button / element13Button / element14Button / element15Button / element16Button / element17Button / element18Button / element19Button / element20Button / element21Button / element22Button / pageNumberLabel / previousPageButton / nextPageButton / windowSplit / postRoomWindow / openCloseButton / addStudentButton / addStudentToLabel / addStudentToTextField / addStudentAddressLabel / addStudentAddressTextField / addStudentReceivedLabel / addStudentReceivedTextField / addStudentPickUpLabel / addStudentPickUpTextField / addStudentWindow / processWindowTitle / tickBoxes / giveMailCardLabel / checkStudentIDLabel / retrieveParcelLabel / getFormToSignLabel / signForParcelLabel / processWindowFrame / statusWindowTitle / statusWindowOutput / statusWindowOpenCloseOutput / statusWindowTime / statusWindowFrame / emp1StatusWindowTitle / emp1StatusWindowOutput / emp1StatusWindowFrame / emp2StatusWindowTitle / emp2StatusWindowOutput / emp2StatusWindowFrame / systemButtonsTitle / autoManualButton / loadMailLedgerTextbox / loadMailLedgerButton / clockSpeedTextbox / clockSpeedButton / resetButton / systemButtonsFrame / titleBar / mainWindow >;

%eden
##do all the drawing to the post room window
include("postRoomWindow.e");