%scout
window processWindowFrame = 
{
	type: TEXT
	frame: ([{processWindowStartX,processWindowStartY},{processWindowStartX+processWindowWidth,processWindowStartY+processWindowHeight}])
	border: 1
	bgcolour: backgroundColour
};

window processWindowTitle = 
{
	type: TEXT
	string: "Mail Process"
	frame: ([{processWindowStartX+1,processWindowStartY+1},{processWindowStartX+processWindowWidth-1,processWindowStartY+15}])
	font: "{arial 10 bold}"
	alignment: CENTRE
	bgcolour: backgroundColour
	
};

window giveMailCardLabel = 
{
	type: TEXT
	string: "Present Mail Card"
	frame: ([{processWindowStartX+10,processWindowStartY+15+20+(0*15)+(0*processWindowSectionSize)}, {processWindowStartX+10+processWindowWidth/2,processWindowStartY+15+20+(1*15)+(0*processWindowSectionSize)}])
	font: "{arial 10 normal}"
	bgcolour:backgroundColour
};

window checkStudentIDLabel = 
{
	type: TEXT
	string: "Check Student ID"
	frame: ([{processWindowStartX+10,processWindowStartY+15+20+(1*15)+(1*processWindowSectionSize)}, {processWindowStartX+10+processWindowWidth/2,processWindowStartY+15+20+(2*15)+(1*processWindowSectionSize)}])
	font: "{arial 10 normal}"
	bgcolour:backgroundColour
};

window retrieveParcelLabel = 
{
	type: TEXT
	string: "Retrieve Parcel"
	frame: ([{processWindowStartX+10,processWindowStartY+15+20+(2*15)+(2*processWindowSectionSize)}, {processWindowStartX+10+processWindowWidth/2,processWindowStartY+15+20+(3*15)+(2*processWindowSectionSize)}])
	font: "{arial 10 normal}"
	bgcolour:backgroundColour
};

window getFormToSignLabel = 
{
	type: TEXT
	string: "Retrieve Form To Sign"
	frame: ([{processWindowStartX+10,processWindowStartY+15+20+(3*15)+(3*processWindowSectionSize)}, {processWindowStartX+10+processWindowWidth/1.5,processWindowStartY+15+20+(4*15)+(3*processWindowSectionSize)}])
	font: "{arial 10 normal}"
	bgcolour:backgroundColour
};

window signForParcelLabel = 
{
	type: TEXT
	string: "Sign For Parcel"
	frame: ([{processWindowStartX+10,processWindowStartY+15+20+(4*15)+(4*processWindowSectionSize)}, {processWindowStartX+10+processWindowWidth/1.5,processWindowStartY+15+20+(5*15)+(4*processWindowSectionSize)}])
	font: "{arial 10 normal}"
	bgcolour:backgroundColour
};

window tickBoxes = 
{
	type: DONALD
	box: [{processWindowStartX+processWindowWidth-50,processWindowStartY+15+20+(0*15)+(0*processWindowSectionSize)-10},{processWindowStartX+processWindowWidth-10,processWindowStartY+processWindowHeight-10}]
	 
	 ##{processWindowWidth-10-processWindowStartX+processWindowWidth-50,100}]
	pict: "PROCESSTICKBOXES"
	border: 0
	bgcolour:backgroundColour
};

%donald
viewport PROCESSTICKBOXES

openshape mailCardTic
within mailCardTic{
	line small, big
	
	small = [{10,950},{120,910}]
	big = [{120,910},{500,990}]
}

?A_mailCardTic_small is "color="//str(mailCardTicColour)//",linewidth=3";
?A_mailCardTic_big is "color="//str(mailCardTicColour)//",linewidth=3";

openshape studentIDTic
within studentIDTic{
	line small, big
	
	small = [{10,740},{120,700}]
	big = [{120,700},{500,780}]
}

?A_studentIDTic_small is "color="//str(studentIDTicColour)//",linewidth=3";
?A_studentIDTic_big is "color="//str(studentIDTicColour)//",linewidth=3";

openshape retrieveParcelTic
within retrieveParcelTic{
	line small, big
	
	small = [{10,530},{120,490}]
	big = [{120,490},{500,570}]
}

?A_retrieveParcelTic_small is "color="//str(retrieveParcelTicColour)//",linewidth=3";
?A_retrieveParcelTic_big is "color="//str(retrieveParcelTicColour)//",linewidth=3";

openshape getFormTic
within getFormTic{
	line small, big
	
	small = [{10,310},{120,270}]
	big = [{120,270},{500,350}]
}

?A_getFormTic_small is "color="//str(getFormTicColour)//",linewidth=3";
?A_getFormTic_big is "color="//str(getFormTicColour)//",linewidth=3";

openshape signTic
within signTic{
	line small, big
	
	small = [{10,90},{120,50}]
	big = [{120,50},{500,140}]
}

?A_signTic_small is "color="//str(signTicColour)//",linewidth=3";
?A_signTic_big is "color="//str(signTicColour)//",linewidth=3";
