%scout
##TODO: stop it from entering data if not all fields contain text

window addStudentWindow = 
{
	type: TEXT
	frame: ([{addStudentStartX,addStudentStartY},{addStudentStartX+addStudentWindowWidth,addStudentStartY+addStudentWindowHeight}])
	border:1
	bgcolour: backgroundColour
};

window addStudentToLabel =
{
	type: TEXT
	string: "To:"
	frame:([{addStudentStartX+10,addStudentStartY+10+(0*sectionSize)},{addStudentStartX+10+addStudentLabelWidth,addStudentStartY+10+(0*sectionSize)+10}])
	#font:
	bgcolour: backgroundColour
};

window addStudentToTextField = 
{
	type: TEXTBOX
	frame: ([{addStudentStartX+10, addStudentStartY+10+(1*sectionSize)}, {(addStudentWindowWidth-30)/1.c, 1}])
	border:1
	sensitive: ON
	bgcolour: "white"
	
};

window addStudentAddressLabel =
{
	type: TEXT
	string: "Address:"
	frame:([{addStudentStartX+10,addStudentStartY+10+(2*sectionSize)},{addStudentStartX+10+addStudentLabelWidth,addStudentStartY+10+(2*sectionSize)+10}])
	#font:
	bgcolour: backgroundColour
};

window addStudentAddressTextField = 
{
	type: TEXTBOX
	frame: ([{addStudentStartX+10, addStudentStartY+10+(3*sectionSize)}, {(addStudentWindowWidth-30)/1.c, 1}])
	border:1
	sensitive: ON
	bgcolour: "white"
	
};

window addStudentReceivedLabel =
{
	type: TEXT
	string: "Received:"
	frame:([{addStudentStartX+10,addStudentStartY+10+(4*sectionSize)},{addStudentStartX+10+addStudentLabelWidth,addStudentStartY+10+(4*sectionSize)+10}])
	#font:
	bgcolour: backgroundColour
};

window addStudentReceivedTextField = 
{
	type: TEXTBOX
	frame: ([{addStudentStartX+10, addStudentStartY+10+(5*sectionSize)}, {(addStudentWindowWidth-30)/1.c, 1}])
	border:1
	sensitive: ON
	bgcolour: "white"
	
};

window addStudentPickUpLabel =
{
	type: TEXT
	string: "Picked Up:"
	frame:([{addStudentStartX+10,addStudentStartY+10+(6*sectionSize)},{addStudentStartX+10+addStudentLabelWidth,addStudentStartY+10+(6*sectionSize)+10}])
	#font:
	bgcolour: backgroundColour
};

window addStudentPickUpTextField = 
{
	type: TEXTBOX
	frame: ([{addStudentStartX+10, addStudentStartY+10+(7*sectionSize)}, {(addStudentWindowWidth-30)/1.c, 1}])
	border:1
	sensitive: ON
	bgcolour: "white"
	
};

window addStudentButton = 
{
	type: TEXT
	string: "Add Mail"
	frame: ([{addStudentStartX+10,addStudentStartY+addStudentWindowHeight-10-10},{addStudentStartX+addStudentWindowWidth-10,addStudentStartY+addStudentWindowHeight-10}])
	border:1
	alignment: CENTRE
	bgcolour: "grey"
	relief: "raised"
	sensitive: ON
};

%eden
proc addMailToLedger
{
	to = $1;
	address = $2;
	received = $3;
	pickUp = $4;
	##if (mailQuantity+parcelsToSort# < numberOfSpreadsheetElements)
	##{
		##add new parcel to the list of things to sort
		tableCapacity++;
		parcelsToSort = parcelsToSort // [[to, address, received, pickUp]];		
	##}
	##else
	##{
		
	##}
	
};

proc addStudentButton_trigger : addStudentButton_mouse_1
{
	if(addStudentButton_mouse_1[2] == 5)
	{
		newTo = addStudentToTextField_getText();
		newAddress = addStudentAddressTextField_getText();
		newReceived = addStudentReceivedTextField_getText();
		newPickUp = addStudentPickUpTextField_getText();
		
		addMailToLedger(newTo, newAddress, newReceived, newPickUp);
		
		##reset add text fields
		addStudentToTextField_setText("");
		addStudentAddressTextField_setText("");
		addStudentReceivedTextField_setText("");
		addStudentPickUpTextField_setText("");	
		
	};
	
};

