%scout
#DRAW RHS SPREADSHEET ITEMS

#draw labels for spreadsheet
integer labelsStartX = windowSplitEndX+10;
integer labelsStartY = windowSplitStartY + 2;

%eden
/*set up dependencies of spreadsheet sizes*/
cWidth is (startX+entireWindowWidth - labelsStartX)/3;
%scout
integer cWidth;
integer c2Width = cWidth / 1.c;
%eden
cellWidth is floor(c2Width, 1);
%scout
integer cellWidth;

integer cellHeight = 1;
integer labelWidth = cellWidth * 1.c;
integer labelHeight = 10;
integer receivedLabelWidth = labelWidth/2;
integer pickedUpLabelWidth = labelWidth/2;
integer receivedCellWidth = receivedLabelWidth/1.c;
integer pickedUpCellWidth = pickedUpLabelWidth/1.c;

integer fontSize = 10;
string fs = "10";

string labelFont = "{times " // fs // " underline}";
integer currentPageNumber;
integer totalPages;
integer numberOfSpreadsheetElements;
string currentPGNumber = itos(currentPageNumber);
string totalPGs = itos(totalPages);

window toLabel = 
{
	type: TEXT
	string: "To"
	frame: ([{labelsStartX,labelsStartY}, {labelsStartX+labelWidth,labelsStartY+labelHeight}])
	alignment: CENTRE
	font: labelFont
	border: 1
};

window addressLabel = 
{
	type: TEXT
	string: "Address"
	frame: ([{labelsStartX+labelWidth,labelsStartY}, {labelsStartX+(2*labelWidth),labelsStartY+labelHeight}])
	alignment: CENTRE
	font: labelFont
	border: 1
};

window receivedLabel = 
{
	type: TEXT
	string: "Received"
	frame: ([{labelsStartX+(2*labelWidth),labelsStartY}, {labelsStartX+(2*labelWidth)+receivedLabelWidth,labelsStartY+labelHeight}])
	alignment: CENTRE
	font: labelFont
	border: 1
};

window pickedUpLabel = 
{
	type: TEXT
	string: "Picked Up"
	frame: ([{labelsStartX+(2*labelWidth)+receivedLabelWidth,labelsStartY}, {labelsStartX+(2*labelWidth)+receivedLabelWidth+pickedUpLabelWidth,labelsStartY+labelHeight}])
	alignment: CENTRE
	font: labelFont
	border: 1
};

%eden
include("allTheSpreadSheetElement.e");

%scout
window rhsUpdateButton = 
{
	type: TEXT
	string: "Update"
	frame: ([{(windowSplitEndX+entireWindowWidth-startX)/2-10,startY+entireWindowHeight-15-15}, {((windowSplitEndX+entireWindowWidth-startX)/2-10)+43,startY+entireWindowHeight-15}])
	border: 1
	alignment: CENTRE
	bgcolour: "grey"
	relief: "raised"
	sensitive: ON
};

%eden

proc updateMailRecords
{
	if(rhsUpdateButton_mouse_1[2]==5)
	{
		writeln(element11_getText()); /*rhsUpdateButton[3]*/
	};
};

/*TODO:  initialise variable saying how many elements stored
in ledger, so that can add new ones and keep track of it.*/

proc studentToCollectMail
{
	##argument is the number of the mail item overall. i.e. if 34 items, could be 20
	tempCurrentStudent = $1;
	tempVar = "student";
	tempColour = "green";
	
	##tempCurrentStudent = tempCurrentStudent + (currentPageNumber-1)*numberOfSpreadsheetElements;
	if(tempCurrentStudent <= mailQuantity)
	{
		##if not already in list, add to queue of students getting parcels.. 
		if(allTheMail[tempCurrentStudent][5] == "green")
		{
			collectingStudentList = collectingStudentList // [tempCurrentStudent]; 	
			startValOfCurrentPage = (numberOfSpreadsheetElements*(currentPageNumber-1))+1; 
			endValOfCurrentPage = startValOfCurrentPage+numberOfSpreadsheetElements-1;
			writeln(collectingStudentList);
			writeln(tempCurrentStudent);
			writeln(startValOfCurrentPage);
			writeln(endValOfCurrentPage);			
			if((startValOfCurrentPage<=tempCurrentStudent) && (endValOfCurrentPage>=tempCurrentStudent))
			{
				execute("button" // str(tempCurrentStudent-startValOfCurrentPage+1) // "Colour = \"blue\";");
			};				
			allTheMail[tempCurrentStudent][5] = "blue"; 
		}; 		
	};	
};

include("mailLedgerButtons.e");
