%eden
/*declare all the dependencies*/

##mail transaction with student dependencies
transactionState = 0;
transactionStartTime = 0;
currentStudent = 0;

collectingStudentList = [];

##sorting mail dependencies
sortingState = 0;
sortingStartTime = 0;
parcelsToSort = [];

##setup the clock
actualTimeSpeed = 10;
setedenclock(&timeclock, 10000/actualTimeSpeed);
clockSpeed = 40;
setedenclock(&clock, 10000/clockSpeed);
systemStartMinute = gettime()[2];
systemStartHour = gettime()[3];
systemStartDay = gettime()[4];
systemStartMonth = gettime()[5];
systemStartYear = gettime()[6]+1900;
stringSystemStartMinute is str(systemStartMinute);
stringSystemStartHour is str(systemStartHour);
stringSystemStartDay is str(systemStartDay);
stringSystemStartMonth is str(systemStartMonth);
stringSystemStartYear is str(systemStartYear);

systemTime is stringSystemStartHour//":"//stringSystemStartMinute // "\n" // stringSystemStartDay // "/" // stringSystemStartMonth // "/" // stringSystemStartYear;

proc minute_trigger : systemStartMinute
{
	if(systemStartMinute<10)
	{
		stringSystemStartMinute is "0"//str(systemStartMinute);
	}
	else
	{
		stringSystemStartMinute is str(systemStartMinute);
	}
};

proc hour_trigger : systemStartHour
{
	if(systemStartHour<10)
	{
		stringSystemStartHour is "0"//str(systemStartHour);
	}
	else
	{
		stringSystemStartHour is str(systemStartHour);
	}
};

proc day_trigger : systemStartDay
{
	if(systemStartDay<10)
	{
		stringSystemStartDay is "0"//str(systemStartDay);
	}
	else
	{
		stringSystemStartDay is str(systemStartDay);
	}
};

proc month_trigger : systemStartMonth
{
	if(systemStartMonth<10)
	{
		stringSystemStartMonth is "0"//str(systemStartMonth);
	}
	else
	{
		stringSystemStartMonth is str(systemStartMonth);
	}
};

##DONALD DEPENDENCIES
pRoomIsOpen = 0;
outToLunch = 0;
pRoomWindowWidth is 980;
pRoomWindowHeight is 990;
pRoomBottomLeftX is 10;
pRoomBottomLeftY is 10;
entRightX is ((pRoomBottomLeftX+pRoomWindowWidth) / 2)+(pRoomWindowWidth / 10);
entLeftX is ((pRoomBottomLeftX+pRoomWindowWidth) / 2)-(pRoomWindowWidth / 10);
entHeight is pRoomWindowHeight / 3;
drWidth is (entRightX-entLeftX);

drLeftX is (pRoomIsOpen == 0) ? entLeftX + (drWidth/10) : entRightX - (entRightX-entLeftX)/10;
drLeftY is (pRoomIsOpen == 0) ? pRoomBottomLeftY : pRoomBottomLeftY+drWidth;
drRightX is entRightX - (entRightX-entLeftX)/10;
drRightY is pRoomBottomLeftY;

tableTLX is pRoomBottomLeftX+pRoomWindowWidth-(pRoomWindowWidth / 5);
tableTLY is pRoomBottomLeftY+ pRoomWindowHeight;
tableBRX is pRoomBottomLeftX+pRoomWindowWidth;
tableBRY is pRoomBottomLeftY+ pRoomWindowHeight - (pRoomWindowHeight / 5);

numberOfMailBoxes is 8;
mailBoxHeight is pRoomWindowHeight / 10;
mailBoxWidth is (tableTLX - pRoomBottomLeftX) / numberOfMailBoxes;

numberOfEmployees is 2;
employeeRadius is 20;

if((systemStartHour >= 9) && (systemStartHour < 17))
{
	employee1XPos is (entRightX+entLeftX)/2;
	employee1YPos is pRoomBottomLeftY+entHeight+employeeRadius;
	employee2XPos is (tableTLX + tableBRX)/2;
	employee2YPos is tableBRY - employeeRadius;
	pRoomIsOpen = 1;
}
else ##employees not at work. 
{
	employee1XPos is (entRightX+entLeftX)/2;
	employee1YPos is -2*employeeRadius;
	employee2XPos is (entRightX+entLeftX)/2;
	employee2YPos is -2*employeeRadius;
	pRoomIsOpen = 0;
}

employee1Holding = "";
employee2Holding = "";

employee1XVelocity is 0;
employee1YVelocity is 0;
employee1LeaveState = 0;
employee1ArriveState = 0;
employee1MoveTime = 0;
employee2XVelocity is 0;
employee2YVelocity is 0;
employee2LeaveState = 0;
employee2ArriveState = 0;
employee2MoveTime = 0;
movementSpeed is 5;
employee1MovementCountdown is 0;
employee2MovementCountdown is 0;

studentXPos is (entRightX+entLeftX)/2;
studentYPos is -employeeRadius;
studentName is "";
studentHolding = "";
studentXVelocity is 0;
studentYVelocity is 0;
studentMovementCountdown is 0;

mailQuantity is allTheMail#;
numberOfSpreadsheetElements is 22;
button1Colour = "red";
button2Colour = "red";
button3Colour = "red";
button4Colour = "red";
button5Colour = "red";
button6Colour = "red";
button7Colour = "red";
button8Colour = "red";
button9Colour = "red";
button10Colour = "red";
button11Colour = "red";
button12Colour = "red";
button13Colour = "red";
button14Colour = "red";
button15Colour = "red";
button16Colour = "red";
button17Colour = "red";
button18Colour = "red";
button19Colour = "red";
button20Colour = "red";
button21Colour = "red";
button22Colour = "red";

##PROCESS WINDOW DEPENDENCIES
mailCardTicColour is backgroundColour;
studentIDTicColour is backgroundColour;
retrieveParcelTicColour is backgroundColour;
getFormTicColour is backgroundColour;
signTicColour is backgroundColour;

##STATUS WINDOW DEPENDENCIES
status is "Idle...";
statusColour is "black";
emp1Status is "Idle...";
emp2Status is "Idle...";
doorStatus is (pRoomIsOpen == 0) ? "Closed!" : "Open!";

##SYSTEM BUTTON DEPENDENCIES
autoOrManual = "Automatic";

##MAIL BOX DEPENDENCIES
box1Capacity = 0;
box2Capacity = 0;
box3Capacity = 0;
box4Capacity = 0;
box5Capacity = 0;
box6Capacity = 0;
box7Capacity = 0;
box8Capacity = 0;
tableCapacity = 0;

##mail ledger dependencies - for having more than one page.
totalPages = 1;
currentPageNumber = 1;
allTheMail = [];
